from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView

from .models import Author, Books

def home_view(request):
    return render(request, 'bookshelf/home.html')


class AuthorDetailView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'


class AuthorListView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'


class BooksDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'


class BooksListView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'